blkmapd(8)

NOM
blkmapd - Service de correspondance (« mapping ») de block pNFS

SYNOPSIS
blkmapd [-h] [-d] [-f]

DESCRIPTION
Le service blkmapd permet la découverte de périphérique et la correspondance pour les clients NFS parallèles (pNFS) [RFC 5663].

Le protocole pNFS construit une hiérarchie de stockage complexe à partir d'un ensemble de volumes simples. Ces volumes simples sont adressés par le contenu, en utilisant une signature par volume. Le démon localise un volume en examinant la signature donnée pour chaque périphérique bloc dans le système.

La topologie se compose généralement d'une hiérarchie de volumes construits par entrelacement, tranchage et concaténation de volumes simples. Le service blkmapd utilise le pilote device-mapper pour construire des périphériques logiques qui reflètent la topologie du serveur et passe ces dispositifs au noyau pour l'utilisation par le client pNFS.

OPTIONS

-h  Afficher un message d'aide.

-d  Effectuer seulement la découverte de périphérique puis quitter.

-f  Lancer blkmapd en tâche de premier plan et rediriger sa sortie standard vers la sortie d'erreur (au lieu de syslogd).

FICHIER DE CONFIGURATION
Le service blkmapd accepte la valeur suivante à partir de la section [general] du fichier de configuration /etc/nfs.conf :

pipefs-directory
    Indiquer à blkmapd où chercher le système de fichiers rpc_pipefs. Par défaut, il s'agit de /var/lib/nfs/rpc_pipefs.

VOIR AUSSI
nfs(5), dmsetup(8), nfs.conf(5)

RFC 5661 concernant la spécification de NFS version 4.1.
RFC 5663 pour la spécification de la disposition des blocs pNFS.

AUTEURS
Haiying Tang <Tang_Haiying@emc.com>
Jim Rees <rees@umich.edu>

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr> et Cédric Boutillier <cedric.boutillier@gmail.com> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.